@ECHO OFF

CLS
IF "%1"=="" GOTO SYNTAX

ECHO ษอออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออป
ECHO บ       CDD 3.O patch from version 3008 to 3009               บ
ECHO บ                                                             บ
ECHO บ This patchfile updates CDD Version 3008 to 3009.            บ
ECHO บ The Patch can ONLY be applied to CDD version 3008!          บ
ECHO ศอออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออผ

ECHO ษอออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออป
ECHO บ If you are using a version prior to 3008, you can order     บ
ECHO บ a complete install set from the Customer Service department บ
ECHO บ at 305-785-4555, for $10.00 plus shipping charges.          บ
ECHO ศอออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออผ
Pause

ECHO ษออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออป
ECHO บ                                                                        บ
ECHO บ  The patch will overwrite the following files:                         บ
ECHO บ                                                                        บ
ECHO บ  Clarion Template chain,                                               บ
ECHO บ  BROWSE and REPEAT Libraries, Source code and Project files            บ
ECHO บ  KEYCODES.EQU                                                          บ
ECHO บ  CLARION.APP and CLARION.PR                                            บ
ECHO บ  CORRECTS.DOC, DRIVER.DOC, README.DOC, RUNTIME.DOC                     บ
ECHO บ  TSCLA.TXT                                                             บ
ECHO บ  TXTED.TXT and APPGN.TXT                                               บ
ECHO บ  XOVERLAY.EXP                                                          บ
ECHO บ                                                                        บ
ECHO บ  If you want to save old versions of these files, PRESS CTRL-C NOW     บ
ECHO บ  to exit the Patch process!!                                           บ
ECHO บ                                                                        บ
ECHO บ                                                                        บ
ECHO ศออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออผ


ECHO ษอออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออป
ECHO บ Press any key to continue or Control-C to abort.            บ
ECHO ศอออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออผ
pause

if not exist PATCH.EXE GOTO missing_file
if not exist C38to9.RTP GOTO missing_file

ECHO ษออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออป
ECHO บ  Now applying patch to upgrade CDD 3008 to revision 3009           บ
ECHO บ  If any files are not found, or don't need patching, a message fileบ
ECHO บ  will be created as Patch.err                                      บ
ECHO ศออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออผ

md %1\tutorial

PATCH %1 -E C38to9.rtp

IF ERRORLEVEL 37 GOTO ERRORFILE
IF ERRORLEVEL 36 GOTO BADVER
IF ERRORLEVEL 35 GOTO SYNTAX
IF ERRORLEVEL 34 GOTO NOTADIR
IF ERRORLEVEL 29 GOTO NOSPACE
IF ERRORLEVEL 24 GOTO NONFATAL
IF ERRORLEVEL 16 GOTO NONFATAL
IF ERRORLEVEL 15 GOTO BADVER_15
IF ERRORLEVEL 9 GOTO BAD_PATCHFILE
IF ERRORLEVEL 8 GOTO BAD_PATCHEXE
IF ERRORLEVEL 5 GOTO NOTADIR
IF ERRORLEVEL 4 GOTO NOTADIR
IF ERRORLEVEL 1 GOTO SYNTAX


GOTO patch_complete

:NOTADIR
ECHO ษอออออออออออออออออออออออออออออออออป
ECHO บ CANNOT FIND A DIRECTORY NAMED:  บ  " %1 "
ECHO ศอออออออออออออออออออออออออออออออออผ
GOTO SYNTAX

:SYNTAX
ECHO ษอออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออป
ECHO บ This patch should be applied by UNZIPPING P3009.ZIP         บ
ECHO บ then typing:                                                บ
ECHO บ                                                             บ
ECHO บ  C38TO9 [DRIVE:\DIRECTORY]                                  บ
ECHO บ                                                             บ
ECHO บ  where [DRIVE:\DIRECTORY] is the name of the drive and path บ
ECHO บ         where CDD 3.0 is installed                          บ
ECHO บ                                                             บ
ECHO บ                                                             บ
ECHO บ  example: if CDD 3.0 is installed in C:\CLARION3            บ
ECHO บ           then type C38TO9 C:\CLARION3                      บ
ECHO บ                                                             บ
ECHO ศอออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออผ
GOTO EXIT

:ERRORFILE
ECHO   An error occurred when Patch.exe tried opening %1\Patch.err
ECHO ษออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออป
ECHO บ The probable cause is some type of DOS error, retry the operation  บ
ECHO บ after checking the disks integrity.                                บ
ECHO ศออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออผ
GOTO EXIT

:BADVER
ECHO   Patch.exe CANNOT find version 3008 installed in %1
ECHO ษออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออป
ECHO บ error ept0036: Old file not found. However, a file of the same name    บ
ECHO บ          was found. No update done since file contents do not match.   บ
ECHO บ                                                                        บ
ECHO บ PATCH was unable to locate an exact match for the original file to     บ
ECHO บ be updated. However, PATCH was able to locate a file with the same     บ
ECHO บ name as the original file. However, the file found did not have either บ
ECHO บ the same size or checksum as the actual original file that PATCH is    บ
ECHO บ seeking in order to perform the update.                                บ
ECHO ศออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออผ
GOTO EXIT

:BADVER_15
ECHO ษออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออป
ECHO บ                                                                        บ
ECHO บ CANNOT find version 3008                                               บ
ECHO บ error ept0015: Old file does not exist                                 บ
ECHO บ                                                                        บ
ECHO บ PATCH needs Bytes from the existing version of a file in order to buildบ
ECHO บ the new file. However, it was unable to locate the old file.           บ
ECHO ศออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออผ
GOTO EXIT

:NONFATAL
ECHO ษออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออป
ECHO บ  These messages indicate the file(s) does not need patching:   บ
ECHO บ                                                                บ
ECHO บ  ept0016: New file already exists                              บ
ECHO บ  ept0024: New file already exists                              บ
ECHO บ                                                                บ
ECHO บ                                                                บ
ECHO ศออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออผ

:patch_complete
IF NOT EXIST %1\PATCH.ERR GOTO noerrors
ECHO ษออออออออออออออออออออออออออออออออออออออออออออออออออออป
ECHO บ The patch process has created a message file       บ
ECHO บ                                                    บ
ECHO บ             DON'T PANIC!                           บ
ECHO บ                                                    บ
ECHO บ  The following messages are informational only!    บ
ECHO บ                                                    บ
ECHO บ  ept0016: New file already exists                  บ
ECHO บ  ept0024: New file already exists                  บ
ECHO บ                                                    บ
ECHO ศออออออออออออออออออออออออออออออออออออออออออออออออออออผ
PAUSE
EDITOR %1\PATCH.ERR

CLS
ECHO ษออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออป
ECHO บ A complete install set is available from Clarion Customer Service    บ
ECHO บ at 305-785-4555 for $10.00 plus shipping charges.                    บ
ECHO บ                                                                      บ
ECHO ศออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออผ

pause
GOTO EXIT

:missing_file
ECHO ษออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออป
ECHO บ Cannot locate patch file(s)                                บ
ECHO บ This patch should be applied by UNZIPPING P3009.ZIP        บ
ECHO บ then typing:                                               บ
ECHO บ                 C38TO9 [DRIVE:\DIRECTORY]                  บ
ECHO ศออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออผ
GOTO EXIT

:nospace
ECHO ษออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออป
ECHO บ                                                            บ
ECHO บ There is insufficient disk space to apply the Patch,       บ
ECHO บ please free up some space and reapply the Patch.           บ
ECHO บ                                                            บ
ECHO ศออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออผ
GOTO EXIT

:BAD_PATCHFILE
ECHO ษออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออป
ECHO บ error ept0009:                                             บ
ECHO บ PATCH.EXE was unable to read the correct information       บ
ECHO บ from the patch file.  Get a new copy and rerun the PATCH   บ
ECHO บ                                                            บ
ECHO ศออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออผ
GOTO EXIT

:BAD_PATCHEXE
ECHO ษออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออป
ECHO บ error ept0008: PATCH.EXE and Patch file are incompatible   บ
ECHO บ                                                            บ
ECHO บ You need a new copy of PATCH.EXE to apply this patch.      บ
ECHO บ                                                            บ
ECHO ศออออออออออออออออออออออออออออออออออออออออออออออออออออออออออออผ
GOTO EXIT

:dirtest_failed
ECHO   Unable to create directory \SAVECDD
ECHO ษอออออออออออออออออออออออออออออออออออออออออออออออออออออออป
ECHO บ Cannot perform backup of files, we suggest you        บ
ECHO บ backup your files and then rerun the patch            บ
ECHO บ but answer NO to the backup prompt.                   บ
ECHO ศอออออออออออออออออออออออออออออออออออออออออออออออออออออออผ
GOTO EXIT

:noerrors
ECHO  
ECHO ษอออออออออออออออออออออออออออออออออออออออออออออออออป
ECHO บ  Patch is complete, no errors encountered!      บ
ECHO ศอออออออออออออออออออออออออออออออออออออออออออออออออผ
:EXIT
